Package imp

## Class HSB

- java.lang.Object
- - imp.HSB

-     public class HSB
      extends Object

  Hilfsklasse für das HSB-Farbmodell
  Version:
    V1.0 14.01.2020
  Author:
    Thomas Schaller

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HSB()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static double` | `getBrightness​(Color c)` | Liefert die Helligkeit als Wert zwischen 0.0 (0%) und 1.0 (100%).
    `static Color` | `getColor​(double h, double s, double b)` | Liefert ein Java-Color-Objekt mit den angegebenen HSB-Werten.
    `static double` | `getHue​(Color c)` | Liefert den Farbton als Winkel zwischen 0.0° und 360.0°.
    `static double` | `getSaturation​(Color c)` | Liefert die Sättigung als Wert zwischen 0.0 (0%) und 1.0 (100%).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSB

          public HSB()

  - ### Method Detail

    - #### getHue

          public static double getHue​(Color c)

      Liefert den Farbton als Winkel zwischen 0.0° und 360.0°.
      Parameters:
        `Color` - c Farbe, deren Farbton bestimmt werden soll.
      Returns:
        Farbton

    - #### getSaturation

          public static double getSaturation​(Color c)

      Liefert die Sättigung als Wert zwischen 0.0 (0%) und 1.0 (100%).
      Parameters:
        `Color` - c Farbe, deren Sättigung bestimmt werden soll.
      Returns:
        Sättigung

    - #### getBrightness

          public static double getBrightness​(Color c)

      Liefert die Helligkeit als Wert zwischen 0.0 (0%) und 1.0 (100%).
      Parameters:
        `Color` - c Farbe, deren Helligkeit bestimmt werden soll.
      Returns:
        Sättigung

    - #### getColor

          public static Color getColor​(double h,
                                       double s,
                                       double b)

      Liefert ein Java-Color-Objekt mit den angegebenen HSB-Werten.
      Parameters:
        `h` - Farbton (Hue)
        `s` - Sättigung (Saturation)
        `b` - Brightness (Helligkeit)
      Returns:
        Java-Color-Objekt